Query Realtime Appointment Availability: EliseAI
https://api.propexo.com/crm/v1/appointment-availability/eliseai/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the community
The start of the time range to check for availability. This time should be specified in UTC.
The end of the time range to check for availability. This time should be specified in UTC.
The type of tour to query availability for. If omitted, availability for all tour types will be returned as separate calendars distinguished by tour_type.
Show 3 enum values
IN_PERSONSELF_GUIDEDLIVE_VIDEOResponse
Successful response
- Array [
- Array [
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
- ]
- ]
meta objectrequired
result object[]required
The date the record was last seen from the PMS
The type of calendar
Show 3 enum values
AGENT_CALENDARPROPERTY_CALENDARENTRATA_SELF_GUIDED_TOUR_CALENDARThe external ID of the agent from the integration vendor
The first name associated with the employee
The last name associated with the employee
A default duration for an appointment on this calendar, in minutes
The minimum lead time before which you can book an appointment on this calendar, in minutes
The timezone of the calendar, if such metadata is available. Please contact Propexo Support if you are working with properties outside of the United States and Canada as there may be options for populating this field depending on your business case and integration vendor.
calendar_days object[]required
Date of the availability
Show 2 variants
Day of the week
The routine opening time for when the first appointment can be booked into this calendar
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
The routine closing time for when the last appointment must complete when being booked into this calendar
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
What kind of simultaneous or double booked appointments are allowed on this calendar
Show 4 enum values
SINGLEMULTIPLEUNLIMITEDUNKNOWNThe maximum number of simultaneous appointments allowed at the same moment in time on this calendar
available_slots (object | null)[]required
The start time of the slot
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
The end time of the slot which may not be available in all cases
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
The external ID of the community from the integration vendor
The tour type this calendar represents when EliseAI returns separate availability per tour type.
Show 3 enum values
IN_PERSONSELF_GUIDEDLIVE_VIDEOErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/crm/v1/appointment-availability/eliseai/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"community_id": "string",
"start_time": "2024-07-29T15:51:28.071Z",
"end_time": "2024-07-29T15:51:28.071Z"
}'
{
"meta": {
"job_id": "string"
},
"result": [
{
"last_seen": "string",
"calendar_type": "AGENT_CALENDAR",
"x_agent_id": "string",
"agent_first_name": "string",
"agent_last_name": "string",
"default_appointment_length": 0,
"minimum_appointment_lead_time": 0,
"timezone": "string",
"calendar_days": [
{
"date": "2024-07-29T15:51:28.071Z",
"day_of_week": "string",
"opening_time": "string",
"closing_time": "string",
"simultaneous_appointment_mode": "SINGLE",
"max_simultaneous_appointments": 0,
"available_slots": [
"Unknown Type: object,null"
]
}
],
"x_community_id": "string",
"tour_type": "IN_PERSON"
}
]
}